METAR(1)

NAME
metar - A METAR downloader/decoder

SYNOPSIS
metar [-dvh] stations

DESCRIPTION
METAR reports are meteorological weather reports for aviation. metar is a small program which downloads weather reports for user-specified stations and optionally decodes them into a human-readable format.

Aviation weather stations are commonly referred to by ICAO designator. The ICAO is the International Civil Aviation Organization, a international standardization body for civil organization. For example, KJFK is the ICAO identifier for John F. Kennedy Airport in New York, New York, EHAM is the ICAO identifier for Amsterdam Schiphol Airport, The Netherlands, etc.

OPTIONS
metar requires at least one station identifier to run. A full list of ICAO stations is available for download at ttps://tgftp.nws.noaa.gov/data/nsd_bbsss.txt.

metar supports three additional options:

-d Decode the retrieved weather reports into a human-readable format.
-v Be verbose while retrieving a report.
-h Show a short help summary

ENVIRONMENT
If the environment variable METARURL is set, metar will attempt to download the weather report from that location, rather than from the default (the NOAA web site). The value of METARURL will be postfixed with the capitalized station ID, followed by the .TXT extension.

For example, if you have METAR reports in your home directory, setting METARURL to $HOME and asking for the weather report of ehgr will result in the file $HOME/EHGR.TXT to be read.

AUTHOR
Kees Leune <kees@leune.org>